Subject: Re: bug#59061: bwrap-related Emacs test failure on Ubuntu 22.10
From: Stefan Kangas <[email-masked]>
To: Philipp Stephani <[email-masked]>
Cc: Matt Armstrong <[email-masked]>, Paul Eggert <[email-masked]>, [email-masked]
Date: Fri, 15 Sep 2023 05:33:35 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Philipp Stephani <[email-masked]> writes:

> On Thu, 17 Nov 2022 at 01:26, Matt Armstrong <[email-masked]> wrote:
>>
>> Paul Eggert <[email-masked]> writes:
>>
>> > This is on Ubuntu 22.10 x86-64, with current Emacs master (commit
>> > 8a49a888532c955ae81855636a65b446508cb361 dated today). "make check" fails
>> > in some of the bubblewrap tests. Some bwrap expertise (which I don't have)
>> > would be of use in debugging this so I'm taking the liberty of cc'ing
>> > Philipp.
>> >
>> > I'm attaching a copy of the build log (created with ./autogen.sh;
>> > configure; make; make check) and of the test failure logged in
>> > test/src/emacs-tests.log.
>>
>> I was able to reproduce this on a Debian Testing system after installing
>> the "libseccomp-dev" package.  The test failures I get are identical to
>> Paul's.
>>
>> Without that package lib-src/Makefile refrains from building
>> lib-src/seccomp-filter.bpf, which in turn causes these tests to be
>> skipped.  This may explain why chatter about these failures has been
>> low.
>
> I've now tried to fix this with commit 940d9070e97858fdb6c0d84fc5617b8c10dab0ba.

No followups within 10 months, so I guess the fix worked.  I'm therefore
closing this bug report.  Please reopen if this is still an issue.